Subject: transient flicker (was - Re: bugs/comments - 2.3.8)

From: Nadim Saeed <[email-masked]>
Date: Fri, 8 Oct 1999 11:03:38 -0700 (PDT)

On Thursday - October.7.1999 [19:01:41 +0200],
 Dominik Vogt ([email-masked]) wrote:
> On Thu, Oct 07, 1999 at 09:44:37AM -0700, [email-masked] wrote:
> > On Tuesday - October.5.1999 [19:35:30 +0200],
> >  Dominik Vogt ([email-masked]) wrote:
> > > On Tue, Oct 05, 1999 at 09:49:41AM -0700, [email-masked] wrote:
> > > > > 
> > > > > I did and it doesn't lower/raise or flicker.  Are you by any chance
> > > > > using something like this:
> > > > > 
> > > > >   Module FvwmAuto 100 raise lower
> > > > > 
> > > > > I guess you have something in your config file that causes the
> > > > > transient to be lowered when you leave the window (FvwmAuto is
> > > > > the only thing that comes to my mind).  I think it would be best
> > > > > if you send me your config file so I can find the problem therein. 
> > > > 
> > > > Nope - here is my .fvwm2rc file,
> > > 
> > > One more question: is your fvwm installed with 'make install'?  What
> > > I am aiming at: is your ConfigFvwmDefaults properly installed?  It
> > > might make a difference if this is executed or not.
> > 
> > It is installed using 'make install' - not to /usr/local/ though (I've
> > specified a "prefix"); I can access all the setup-forms without a problem
> > in case I were to start fvwm without my .fvwm2rc file (can't see how this
> > relates though, because I don't think ConfigFvwmDefaults is executed - but
> > you know better :-)
> 
> If fvwm has been installed with 'make install', ConfigFvwmDefaults should
> be read in.  It contains some non-vital initializations that are nonetheless
> necessary to get all the defaults mentioned in the man page.  And especially
> in this case it does matter if the file is read because it sets transient
> handling styles that do affect raising/lowering of windows.
> 
> Anyway, I didn't find the time to look into your problem (and .fvwm2rc)
> yet, but I think I can do it over the weekend.
> 
> Bye
> 
> Dominik ^_^

I did _not_ know that (especially that its not mentioned anywhere in any
of the man pages :-)  I was under the impression that all those files in
(PREFIX/etc or in the future PREFIX/share) would only be peered at if one
does NOT have a .fvwm2rc file.

In the 'ConfigFvwmDefaults' file it notes the following,

 #  - FvwmDefaults file.  Contains fvwm defaults, and enough to help out
 #  the new user with no configuration file.
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

and since I already have a configuration file - I thought it shouldn't apply
to me (I guess it really depends on how you read that comment :-)

If it were me, I'd #defined the default styles within fvwm itself (the less
files one has to muck with the better; plus it would make your lives easier
especially if some out there start modifying this "FvwmDefaults" file to suite
their environment and then start reporting bugs that are not evident in
their personal configuration files)

Just my $0.02 worth.

 - Nadim
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]